clear;
A=imread('_im_luna_gris.jpg');
imshow(A,[]);title('GRAY');

disp('presione una tecla...');pause;
[I, map]=rgb2ind(A,256);
n=double(max(max(I)))
imshow(I,gray(n));title('Gray');
disp('presione una tecla...');pause;


imshow(I,copper(n));title('COPPER');
disp('presione una tecla...');pause;
imshow(I,bone(n));title('BONE');
disp('presione una tecla...');pause;
imshow(I,cool(n));title('COOL');
disp('presione una tecla...');pause;
imshow(I,hot(n));title('HOT');
disp('presione una tecla...');pause;
imshow(I,jet(n));title('JET');
disp('presione una tecla...');pause;
imshow(I,pink(n));title('PINK');
disp('presione una tecla...');pause;
imshow(I,summer(n));title('SUMMER');
disp('presione una tecla...');pause;
imshow(I,prism(n));title('PRISM');









